Subject: bug#41426: "use-package" instructions in init.el raise syntax-error

From: TESSIER Guillaume <[email-masked]>
Date: Wed, 20 May 2020 22:00:58 +0000 (UTC)

Dear Emacs maintainers,

I build emacs every month or so.
I Built the revision below tonight and got this error :

Debugger entered--Lisp error: (invalid-read-syntax "Invalid byte-code object")
  read(get-file-char)
  (use-package smartparens :ensure t :config (smartparens-global-mode t) (show-smartparens-global-mode t))
  eval-buffer(#<buffer  *load*> nil "/home/kika/.emacs.d/init.el" nil t)  ; Reading at buffer position 2153
  load-with-code-conversion("/home/kika/.emacs.d/init.el" "/home/kika/.emacs.d/init.el" t t)
  load("/home/kika/.emacs.d/init" noerror nomessage)
  startup--load-user-init-file(#f(compiled-function () #<bytecode -0x119a68f9432ba55e>) #f(compiled-function () #<bytecode 0x81a386fa1b157d3>) t)
  command-line()
  normal-top-level()

Every "use-package" instruction cause this. Same init.el than the last revision a built one month ago.
I just installed the emacs package shipped with fedora (emacs 2.6) and it works prefectly with the same init.el.

Have a nice day,

Guillaume Tessier

=============================================================================

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version 1.16.0)
 of 2020-05-20 built on stocker.localdomain
Repository revision: 5989432d15feb4439e759d2c0e28233ca22a7604
Repository branch: master
Windowing system distributor 'Fedora Project', version 11.0.12008000
System Description: Fedora 32 (Workstation Edition)

Recent messages:
Eager macro-expansion failure: (invalid-read-syntax "Invalid byte-code object") [2 times]
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list... [2 times]

Configured using:
 'configure --without-toolkit-scroll-bars --with-cairo
 --prefix=/PROJECTS/SOFTWARES/emacs2805'

Configured features:
XPM JPEG TIFF GIF PNG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB GTK3 X11 XDBE XIM
MODULES THREADS PDUMPER GMP

Important settings:
  value of $LANG: fr_FR.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Special

Minor modes in effect:
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg epg-config gnus-util
rmail rmail-loaddefs text-property-search mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils time-date warnings
display-line-numbers finder-inf rx info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 201678 8501)
 (symbols 48 13776 1)
 (strings 32 69121 2675)
 (string-bytes 1 1868499)
 (vectors 16 19733)
 (vector-slots 8 271317 9212)
 (floats 8 33 97)
 (intervals 56 224 0)
 (buffers 992 12))